Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.memory.jca
Class MapConnection

    java.lang.Object
      org.apache.commons.transaction.memory.jca.MapConnection

All Implemented Interfaces:
  Connection

public class MapConnection
extends Object
implements Connection

Version:
  $Revision$

Field Summary
`protected MapManagedConnection` | `mc`

Constructor Summary
`MapConnection(ManagedConnection mc)`

Method Summary
`void` | `close()`
`Interaction` | `createInteraction()`
`LocalTransaction` | `getLocalTransaction()`
`Map` | `getMap()`
`ConnectionMetaData` | `getMetaData()`
`ResultSetInfo` | `getResultSetInfo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mc

    protected MapManagedConnection mc

Constructor Detail

### MapConnection

    public MapConnection(ManagedConnection mc)

Method Detail

### getMap

    public Map getMap()

### close

    public void close()
               throws ResourceException

  Specified by:
    `close` in interface `Connection`
  Throws:
    `ResourceException`

### createInteraction

    public Interaction createInteraction()
                                  throws ResourceException

  Specified by:
    `createInteraction` in interface `Connection`
  Throws:
    `ResourceException`

### getLocalTransaction

    public LocalTransaction getLocalTransaction()
                                         throws ResourceException

  Specified by:
    `getLocalTransaction` in interface `Connection`
  Throws:
    `ResourceException`

### getMetaData

    public ConnectionMetaData getMetaData()
                                   throws ResourceException

  Specified by:
    `getMetaData` in interface `Connection`
  Throws:
    `ResourceException`

### getResultSetInfo

    public ResultSetInfo getResultSetInfo()
                                   throws ResourceException

  Specified by:
    `getResultSetInfo` in interface `Connection`
  Throws:
    `ResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.